Skip to main content
GET
/
api
/
v1
/
session_labels
/
{session_label_id}
Typescript (SDK)
import { SyllableSDK } from "syllable-sdk";

const syllableSDK = new SyllableSDK({
  apiKeyHeader: process.env["SYLLABLESDK_API_KEY_HEADER"] ?? "",
});

async function run() {
  const result = await syllableSDK.sessionLabels.getById({
    sessionLabelId: 491550,
  });

  console.log(result);
}

run();
{
  "session_id": 123,
  "type": "<string>",
  "code": "<string>",
  "user_email": "<string>",
  "id": 123,
  "timestamp": "<string>",
  "comments": "<string>",
  "issue_categories": [
    "Silent treatment"
  ]
}

Authorizations

Syllable-API-Key
string
header
required

Path Parameters

session_label_id
integer
required

Response

Successful Response

Response model for session label operations. A session label is associated with a given session and contains an evaluation of quality and descriptions of issues the user encountered in that session or other details.

session_id
integer
required

The internal ID of the session (see Session.session_id)

Example:

1

type
string
required

The type of the label (either "auto-rating" or "human-rating")

Examples:

"auto-rating"

"human-rating"

code
string
required

A code describing the quality of the labeled session (either "GOOD", "OK", "BAD", or "N/A")

Examples:

"GOOD"

"OK"

"BAD"

"N/A"

user_email
string
required

The email of the user who created the label

Example:

"user@email.com"

id
integer
required

The internal ID of the label

Example:

1

timestamp
string
required

The timestamp at which the label was created

Example:

"2024-01-01T12:00:00Z"

comments
string | null

Comment string describing additional details about the session

issue_categories
string[] | null

Descriptions of issues occurring in the labeled call

Example:
["Silent treatment"]